Summary
Get Details of Form by Name
Description
Get details for a specific form by name
Route
GET /formbuilder/getFormByName/:form_name
Roles
admin
apiread
operator
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| form_name |
string |
yes |
Form name |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| data |
object |
Forms details |
Copied to Clipboard
{
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "3d80f00b-b58b-b315-90cc-4bafcdd0a611",
"groups": [
"e9e17a2a24706567aff4fa14",
"4a1230b67a834df29b9ea094"
],
"created": "1993-04-27T21:28:42.618Z",
"created_by": "664e36a8c92cd430b4077a6b",
"last_updated": "2021-03-16T19:21:36.361Z",
"last_updated_by": "a8a0e29292c31ab905a3bd70"
}